[Overview][Types][Classes][Variables][Index] | Reference for unit 'CustApp' (#fcl)

# TCustomApplication.Log

Write a message to the event log

## Declaration

Source position: custapp.pp line 72

`public procedure TCustomApplication.Log(`
`EventType: TEventType;`
`const Msg: string`
`);`

## Arguments

`EventType` |  | Type of event
`Msg` |  | Message to log

## Description

Log is meant for all applications to have a default logging mechanism. By default it does not do anything, descendent classes should override this method to provide appropriate logging: they should write the message Msg with type EventType to some log mechanism such as #fcl.eventlog.TEventLog

## Errors

None.

## See also

#rtl.sysutils.TEventType

Documentation generated on: Feb 26 2014